Bug 227535 - Java EE 7 Maven project must declare javaee-api dependency with provided scope
Java EE 7 Maven project must declare javaee-api dependency with provided scope
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Maven
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Janicek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 16:08 UTC by Petr Jiricka
Modified: 2013-05-09 13:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2013-03-15 16:08:09 UTC
1. Create a Java EE 7 Maven web project
2. The following dependency is in pom.xml:
    <dependencies>
        <dependency>
            <groupId>javax</groupId>
            <artifactId>javaee-web-api</artifactId>
            <version>7.0-b78</version>
        </dependency>
    </dependencies>

=> This dependency should have <scope>provided</scope>, like it has for Java EE 6.
Comment 1 Martin Janicek 2013-03-15 18:00:32 UTC
Does not sounds like a P2 issue given the fact that workarround is pretty simple (putting <scope>provided</scope> to the pom.xml)
I'll fix it together with the next archetype update..
Comment 2 Martin Janicek 2013-04-08 08:35:05 UTC
I'll fix this one together (within the same patch) with the issue 228358
Comment 3 Martin Janicek 2013-04-11 09:27:30 UTC
Fixed in: web-main #1e2ef6df3668 (javaee7 branch)
Comment 4 Marian Mirilovic 2013-05-03 09:12:05 UTC
I expect, this is already in release73 -> '73patch2-fixed'
Comment 5 Martin Janicek 2013-05-03 09:13:03 UTC
For sure, thanks!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo